## python-mistral-lib 0.2.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0

=== debian/changelog ===
python-mistral-lib (0.2.0-0ubuntu2~cloud0) xenial-pike; urgency=medium

  * New package for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 23 Aug 2017 12:58:06 +0000

python-mistral-lib (0.2.0-0ubuntu2) artful; urgency=medium

  * d/copyright: Add all copyright owners.

 -- Corey Bryant <corey.bryant@canonical.com>  Sat, 19 Aug 2017 08:17:21 -0400

python-mistral-lib (0.2.0-0ubuntu1) artful; urgency=medium

  * Initial release.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 17 Aug 2017 17:27:38 -0400

=== debian/control ===
Source: python-mistral-lib
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-pbr (>= 2.0.0),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 2.0.0),
               python3-setuptools,
Build-Depends-Indep: python-coverage (>= 4.0),
                     python-hacking (>= 0.12.0),
                     python-openstackdocstheme (>= 1.16.0),
                     python-oslo.serialization (>= 2.20.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1:1.10.0),
                     python3-coverage (>= 4.0),
                     python3-hacking (>= 0.12.0),
                     python3-openstackdocstheme (>= 1.16.0),
                     python3-oslo.serialization (>= 2.20.0),
                     python3-oslotest (>= 1:1.10.0),
                     python3-oslotest (>= 1.10.0),
                     subunit,
                     testrepository
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-mistral-lib
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-mistral-lib
Homepage: http://www.openstack.org/
XS-Testsuite: autopkgtest

Package: python-mistral-lib
Architecture: all
Depends: python-oslo.serialization (>= 2.20.0),
         python-pbr (>= 2.0.0),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-mistral-lib-doc,
Description: Mistral shared routines and utilities - Python 2.7
 Mistral provides an API to define tasks and workflows without writing code,
 as well as manage and execute them in a cloud environment.
 .
 mistral-lib is an OpenStack library project used by Mistral, mistral-extra,
 python-mistralclient, and third-party projects to provide common functionality
 and remove duplication.
 .
 This package provides shared routines and utilities for Python 2.7.

Package: python3-mistral-lib
Architecture: all
Depends: python3-oslo.serialization (>= 2.20.0),
         python3-pbr (>= 2.0.0),
         ${misc:Depends},
         ${python3:Depends}
Suggests: python-mistral-lib-doc,
Description: Mistral shared routines and utilities - Python 3.x
 Mistral provides an API to define tasks and workflows without writing code,
 as well as manage and execute them in a cloud environment.
 .
 mistral-lib is an OpenStack library project used by Mistral, mistral-extra,
 python-mistralclient, and third-party projects to provide common functionality
 and remove duplication.
 .
 This package provides shared routines and utilities for Python 3.x.

Package: python-mistral-lib-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Mistral shared routines and utilities - doc
 Mistral provides an API to define tasks and workflows without writing code,
 as well as manage and execute them in a cloud environment.
 .
 mistral-lib is an OpenStack library project used by Mistral, mistral-extra,
 python-mistralclient, and third-party projects to provide common functionality
 and remove duplication.
 .
 This package contains the documentation of mistral-lib.

## python-mistral-lib 0.4.0

=== debian/changelog ===
python-mistral-lib (0.4.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Bump debhelper compat to 10.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Feb 2018 21:02:46 -0500

python-mistral-lib (0.3.3-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/*: wrap-and-sort -bast.
  * d/control: Update Standards-Version to 4.1.2.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 08 Dec 2017 13:28:26 -0500

python-mistral-lib (0.3.2-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * Align (Build-)Depends with upstream.
  * d/copyright: Tidy duplicated fields.

 -- James Page <james.page@ubuntu.com>  Tue, 14 Nov 2017 10:27:39 +0000

=== debian/control ===
Source: python-mistral-lib
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-coverage (>= 4.0),
 python-hacking (>= 0.12.0),
 python-openstackdocstheme (>= 1.18.1),
 python-oslo.serialization (>= 2.18.0),
 python-oslosphinx (>= 4.7.0),
 python-oslotest (>= 1:3.2.0),
 python-testrepository (>= 0.0.18),
 python3-coverage (>= 4.0),
 python3-hacking (>= 0.12.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslotest (>= 1:3.2.0),
 python3-testrepository (>= 0.0.18),
 subunit,
 testrepository,
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-mistral-lib
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-mistral-lib
Homepage: http://www.openstack.org/
XS-Testsuite: autopkgtest

Package: python-mistral-lib
Architecture: all
Depends:
 python-oslo.serialization (>= 2.18.0),
 python-pbr (>= 2.0.0),
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-mistral-lib-doc,
Description: Mistral shared routines and utilities - Python 2.7
 Mistral provides an API to define tasks and workflows without writing code,
 as well as manage and execute them in a cloud environment.
 .
 mistral-lib is an OpenStack library project used by Mistral, mistral-extra,
 python-mistralclient, and third-party projects to provide common functionality
 and remove duplication.
 .
 This package provides shared routines and utilities for Python 2.7.

Package: python-mistral-lib-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Mistral shared routines and utilities - doc
 Mistral provides an API to define tasks and workflows without writing code,
 as well as manage and execute them in a cloud environment.
 .
 mistral-lib is an OpenStack library project used by Mistral, mistral-extra,
 python-mistralclient, and third-party projects to provide common functionality
 and remove duplication.
 .
 This package contains the documentation of mistral-lib.

Package: python3-mistral-lib
Architecture: all
Depends:
 python3-oslo.serialization (>= 2.18.0),
 python3-pbr (>= 2.0.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-mistral-lib-doc,
Description: Mistral shared routines and utilities - Python 3.x
 Mistral provides an API to define tasks and workflows without writing code,
 as well as manage and execute them in a cloud environment.
 .
 mistral-lib is an OpenStack library project used by Mistral, mistral-extra,
 python-mistralclient, and third-party projects to provide common functionality
 and remove duplication.
 .
 This package provides shared routines and utilities for Python 3.x.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = https://github.com/openstack/mistral-lib.git
-include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/')

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-mistral-lib; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-mistral-lib; \
	done
	rm -rf $(CURDIR)/debian/python*-mistral-lib/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif


override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source debian/python-mistral-lib-doc/usr/share/doc/python-mistral-lib-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build


# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/tests/control ===
Tests: mistral-lib
Depends: python-mistral-lib

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ 
http://tarballs.openstack.org/mistral-lib mistral-lib-(\d.*)\.tar\.gz

## python-mistral-lib 1.0.0

=== requirements.txt ===
--- 
+++ 
@@ -3,4 +3,4 @@
 # process, which may cause wedges in the gate later.
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
-oslo.serialization>=1.10.0 # Apache-2.0
+oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0

=== debian/changelog ===
python-mistral-lib (1.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Sep 2018 00:06:52 +0200

python-mistral-lib (0.4.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https in Format
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Feb 2018 22:17:29 +0000

python-mistral-lib (0.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Nov 2017 13:21:11 +0000

python-mistral-lib (0.3.0-1) unstable; urgency=medium

  * Initial release. (Closes: #879507)

 -- Thomas Goirand <zigo@debian.org>  Sun, 22 Oct 2017 14:31:30 +0200

=== debian/control ===
Source: python-mistral-lib
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
Build-Depends-Indep:
 python-openstackdocstheme (>= 1.18.1),
 python-oslo.serialization (>= 2.18.0),
 python-oslotest (>= 1:3.2.0),
 python-stestr,
 python3-oslo.serialization (>= 2.18.0),
 python3-oslotest (>= 1:3.2.0),
 python3-stestr,
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-mistral-lib
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-mistral-lib.git
Homepage: http://docs.openstack.org/developer/mistral/

Package: python-mistral-lib
Architecture: all
Depends:
 python-oslo.serialization (>= 2.18.0),
 python-pbr (>= 2.0.0),
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-mistral-lib-doc,
Description: Mistral shared routings and utilities - Python 2.7
 This library contains data types, exceptions, functions and utilities common
 to Mistral, python-mistralclient and mistral-extra repositories.  This library
 also contains the public interfaces for 3rd party integration (e.g. Actions
 API, YAQL functions API, etc.)
 .
 If you want to use OpenStack in your custom actions or functions, you will
 also need to use http://git.openstack.org/cgit/openstack/mistral-extra.
 .
 This package contains the Python 2.7 module.

Package: python-mistral-lib-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Mistral shared routings and utilities - doc
 This library contains data types, exceptions, functions and utilities common
 to Mistral, python-mistralclient and mistral-extra repositories.  This library
 also contains the public interfaces for 3rd party integration (e.g. Actions
 API, YAQL functions API, etc.)
 .
 If you want to use OpenStack in your custom actions or functions, you will
 also need to use http://git.openstack.org/cgit/openstack/mistral-extra.
 .
 This package contains the documentation.

Package: python3-mistral-lib
Architecture: all
Depends:
 python3-oslo.serialization (>= 2.18.0),
 python3-pbr (>= 2.0.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-mistral-lib-doc,
Description: Mistral shared routings and utilities - Python 3.x
 This library contains data types, exceptions, functions and utilities common
 to Mistral, python-mistralclient and mistral-extra repositories.  This library
 also contains the public interfaces for 3rd party integration (e.g. Actions
 API, YAQL functions API, etc.)
 .
 If you want to use OpenStack in your custom actions or functions, you will
 also need to use http://git.openstack.org/cgit/openstack/mistral-extra.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/mistral-lib.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test
endif


override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source debian/python-mistral-lib-doc/usr/share/doc/python-mistral-lib-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build


# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-mistral-lib 1.1.0

=== debian/changelog ===
python-mistral-lib (1.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Jul 2019 21:35:30 +0200

python-mistral-lib (1.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Mar 2019 08:59:53 +0100

=== debian/control ===
--- 
+++ 
@@ -7,47 +7,21 @@
 Build-Depends:
  debhelper (>= 9),
  dh-python,
- openstack-pkg-tools,
- python-all,
- python-pbr (>= 2.0.0),
- python-setuptools,
- python-sphinx (>= 1.6.2),
+ openstack-pkg-tools (>= 92~),
  python3-all,
- python3-pbr (>= 2.0.0),
+ python3-pbr,
  python3-setuptools,
+ python3-sphinx,
 Build-Depends-Indep:
- python-openstackdocstheme (>= 1.18.1),
- python-oslo.serialization (>= 2.18.0),
- python-oslotest (>= 1:3.2.0),
- python-stestr,
- python3-oslo.serialization (>= 2.18.0),
- python3-oslotest (>= 1:3.2.0),
+ python3-openstackdocstheme,
+ python3-oslo.serialization,
+ python3-oslotest,
  python3-stestr,
  subunit,
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-mistral-lib
 Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-mistral-lib.git
 Homepage: http://docs.openstack.org/developer/mistral/
-
-Package: python-mistral-lib
-Architecture: all
-Depends:
- python-oslo.serialization (>= 2.18.0),
- python-pbr (>= 2.0.0),
- ${misc:Depends},
- ${python:Depends},
-Suggests:
- python-mistral-lib-doc,
-Description: Mistral shared routings and utilities - Python 2.7
- This library contains data types, exceptions, functions and utilities common
- to Mistral, python-mistralclient and mistral-extra repositories.  This library
- also contains the public interfaces for 3rd party integration (e.g. Actions
- API, YAQL functions API, etc.)
- .
- If you want to use OpenStack in your custom actions or functions, you will
- also need to use http://git.openstack.org/cgit/openstack/mistral-extra.
- .
- This package contains the Python 2.7 module.
 
 Package: python-mistral-lib-doc
 Section: doc
@@ -69,8 +43,8 @@
 Package: python3-mistral-lib
 Architecture: all
 Depends:
- python3-oslo.serialization (>= 2.18.0),
- python3-pbr (>= 2.0.0),
+ python3-oslo.serialization,
+ python3-pbr,
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/mistral-lib.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-mistral-lib-doc/usr/share/doc/python-mistral-lib-doc/html
	dh_sphinxdoc
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

## python-mistral-lib 1.2.0

=== requirements.txt ===
--- 
+++ 
@@ -2,5 +2,7 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
+eventlet!=0.20.1,>=0.20.0 # MIT
+oslo.log>=3.36.0 # Apache-2.0
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0

=== debian/changelog ===
python-mistral-lib (1.2.0-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 04 Oct 2019 10:08:01 +0000

python-mistral-lib (1.2.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Sep 2019 15:28:25 +0100

python-mistral-lib (1.0.0-0ubuntu3) eoan; urgency=medium

  * d/control: Fix BD's on python-* packages for Bionic Train.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Fri, 12 Jul 2019 14:40:59 +0200

python-mistral-lib (1.0.0-0ubuntu2) eoan; urgency=medium

  * d/control: Drop BDI's on python-* packages.
  * d/control: Drop python-mistral-lib binary package.
  * d/*.postinst,prerm,postrm: Drop, alternatives no longer needed.
  * d/rules: Tweak to stop build and install of Python 2 parts.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 11 Jul 2019 16:08:48 +0100

python-mistral-lib (1.0.0-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/control, d/tests/*: Enable autopkgtest-pkg-python testsuite
      and drop deprecated 'XS-Testsuite: autopkgtest'.
    - d/control, d/compat: Bump debhelper compat to 10.
    - d/watch: Get tarball from tarballs.openstack.org.
  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Aug 2018 14:26:48 -0400

python-mistral-lib (0.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 22:56:32 +0000

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,39 @@
 Source: python-mistral-lib
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10~),
  dh-python,
- openstack-pkg-tools (>= 92~),
+ openstack-pkg-tools,
+ python-all,
+ python-pbr (>= 2.0.0),
+ python-setuptools,
+ python-sphinx (>= 1.6.2),
  python3-all,
- python3-pbr,
+ python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
- python3-openstackdocstheme,
- python3-oslo.serialization,
- python3-oslotest,
+ python3-coverage (>= 4.0),
+ python3-eventlet (>= 0.20.0),
+ python3-hacking (>= 0.12.0),
+ python3-openstackdocstheme (>= 1.18.1),
+ python3-oslo.log (>= 3.36.0),
+ python3-oslo.serialization (>= 2.18.0),
+ python3-oslotest (>= 1:3.2.0),
+ python3-reno (>= 2.5.0),
  python3-stestr,
- subunit,
-Standards-Version: 4.3.0
-Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-mistral-lib
-Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-mistral-lib.git
+ python3-subunit,
+ python3-testrepository (>= 0.0.18),
+Standards-Version: 4.1.3
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-mistral-lib
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-mistral-lib
 Homepage: http://docs.openstack.org/developer/mistral/
+Testsuite: autopkgtest-pkg-python
 
 Package: python-mistral-lib-doc
 Section: doc
@@ -43,8 +55,8 @@
 Package: python3-mistral-lib
 Architecture: all
 Depends:
- python3-oslo.serialization,
- python3-pbr,
+ python3-oslo.serialization (>= 2.18.0),
+ python3-pbr (>= 2.0.0),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/mistral-lib.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif


override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source debian/python-mistral-lib-doc/usr/share/doc/python-mistral-lib-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build


# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-mistral-lib 2.1.0

=== requirements.txt ===
--- 
+++ 
@@ -5,4 +5,5 @@
 eventlet!=0.20.1,>=0.20.0 # MIT
 oslo.log>=3.36.0 # Apache-2.0
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
-oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
+oslo.serialization>=2.21.1 # Apache-2.0
+yaql>=1.1.3 # Apache 2.0 License

=== doc/requirements.txt ===
sphinx>=1.8.0,!=2.1.0 # BSD
sphinxcontrib-httpdomain>=1.3.0 # BSD
sphinxcontrib-pecanwsme>=0.8.0 # Apache-2.0
openstackdocstheme>=1.30.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
python-mistral-lib (2.1.0-0ubuntu1~cloud0) bionic-ussuri; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 09 Apr 2020 18:47:43 +0000

python-mistral-lib (2.1.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Apr 2020 10:54:46 -0400

python-mistral-lib (1.4.0-0ubuntu1) focal; urgency=medium

  * d/watch: Adjust tarballs URL.
  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Mar 2020 15:34:51 -0400

python-mistral-lib (1.3.0-0ubuntu1) focal; urgency=medium

  [ Sahid Orentino Ferdjaoui ]
  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

  [ Corey Bryant ]
  * d/control: Restore min version (Build-)Depend for python3-oslo.log.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Feb 2020 17:12:28 -0500

python-mistral-lib (1.2.1-0ubuntu2) focal; urgency=medium

  * d/control: (Build-)Depend on the latest known good python-oslo.log.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 06 Dec 2019 12:14:00 -0500

python-mistral-lib (1.2.1-0ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control: Enable autopkgtest-pkg-python testsuite
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/watch: Get tarball from tarballs.openstack.org.
  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 06 Dec 2019 10:38:16 -0500

python-mistral-lib (1.2.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 09:15:13 +0200

python-mistral-lib (1.2.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Sep 2019 22:22:57 +0200

=== debian/control ===
--- 
+++ 
@@ -6,30 +6,26 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10~),
+ debhelper-compat (= 9),
  dh-python,
- openstack-pkg-tools,
- python-all,
- python-pbr (>= 2.0.0),
- python-setuptools,
- python-sphinx (>= 1.6.2),
+ openstack-pkg-tools (>= 99~),
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx (>= 1.6.2),
+ python3-sphinx (>= 1.8.0),
 Build-Depends-Indep:
- python3-coverage (>= 4.0),
  python3-eventlet (>= 0.20.0),
- python3-hacking (>= 0.12.0),
- python3-openstackdocstheme (>= 1.18.1),
- python3-oslo.log (>= 3.36.0),
- python3-oslo.serialization (>= 2.18.0),
+ python3-openstackdocstheme (>= 1.30.0),
+ python3-oslo.log (>= 3.45.0-0ubuntu2~),
+ python3-oslo.serialization (>= 2.21.1),
  python3-oslotest (>= 1:3.2.0),
- python3-reno (>= 2.5.0),
- python3-stestr,
- python3-subunit,
- python3-testrepository (>= 0.0.18),
-Standards-Version: 4.1.3
+ python3-sphinxcontrib-pecanwsme (>= 0.8.0),
+ python3-sphinxcontrib.httpdomain (>= 1.3.0),
+ python3-stestr (>= 2.0.0),
+ python3-testtools (>= 2.2.0),
+ python3-yaql (>= 1.1.3),
+ subunit,
+Standards-Version: 4.4.1
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-mistral-lib
 Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-mistral-lib
 Homepage: http://docs.openstack.org/developer/mistral/
@@ -55,8 +51,11 @@
 Package: python3-mistral-lib
 Architecture: all
 Depends:
- python3-oslo.serialization (>= 2.18.0),
+ python3-eventlet (>= 0.20.0),
+ python3-oslo.log (>= 3.45.0-0ubuntu2~),
+ python3-oslo.serialization (>= 2.21.1),
  python3-pbr (>= 2.0.0),
+ python3-yaql (>= 1.1.3),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

## python-mistral-lib 2.3.0

=== debian/changelog ===
python-mistral-lib (2.3.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2020 10:42:43 +0200

python-mistral-lib (2.3.0-1) experimental; urgency=medium

  * debhelper-compat bump to version 11.
  * New upstream release.
  * Added python3-pygments as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Sep 2020 15:40:22 +0200

python-mistral-lib (2.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 15:58:39 +0200

python-mistral-lib (2.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-yaql as (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Apr 2020 16:36:24 +0200

python-mistral-lib (2.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed patch applied upstream:
    CVE-2019-3866-Ensure-we-mask-sensitive-data-from-Mistral-Action-lo.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Apr 2020 19:26:35 +0200

python-mistral-lib (1.2.0-3) unstable; urgency=medium

  * CVE-2019-3866: Sensitive information leaked in mistral logs. Apply upstream
    patch: Ensure we mask sensitive data from Mistral Action logs.

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Dec 2019 22:40:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,35 +1,32 @@
 Source: python-mistral-lib
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 9),
+ debhelper-compat (= 11),
  dh-python,
  openstack-pkg-tools (>= 99~),
  python3-all,
- python3-pbr (>= 2.0.0),
+ python3-pbr,
  python3-setuptools,
- python3-sphinx (>= 1.8.0),
+ python3-sphinx,
 Build-Depends-Indep:
- python3-eventlet (>= 0.20.0),
- python3-openstackdocstheme (>= 1.30.0),
- python3-oslo.log (>= 3.45.0-0ubuntu2~),
- python3-oslo.serialization (>= 2.21.1),
- python3-oslotest (>= 1:3.2.0),
- python3-sphinxcontrib-pecanwsme (>= 0.8.0),
- python3-sphinxcontrib.httpdomain (>= 1.3.0),
- python3-stestr (>= 2.0.0),
- python3-testtools (>= 2.2.0),
- python3-yaql (>= 1.1.3),
+ python3-eventlet,
+ python3-openstackdocstheme,
+ python3-oslo.log,
+ python3-oslo.serialization,
+ python3-oslotest,
+ python3-stestr,
+ python3-testtools,
+ python3-pygments,
+ python3-yaql,
  subunit,
 Standards-Version: 4.4.1
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-mistral-lib
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-mistral-lib
+Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-mistral-lib
+Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-mistral-lib.git
 Homepage: http://docs.openstack.org/developer/mistral/
-Testsuite: autopkgtest-pkg-python
 
 Package: python-mistral-lib-doc
 Section: doc
@@ -51,11 +48,11 @@
 Package: python3-mistral-lib
 Architecture: all
 Depends:
- python3-eventlet (>= 0.20.0),
- python3-oslo.log (>= 3.45.0-0ubuntu2~),
- python3-oslo.serialization (>= 2.21.1),
- python3-pbr (>= 2.0.0),
- python3-yaql (>= 1.1.3),
+ python3-eventlet,
+ python3-oslo.log,
+ python3-oslo.serialization,
+ python3-pbr,
+ python3-yaql,
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/mistral-lib.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-mistral-lib-doc/usr/share/doc/python-mistral-lib-doc/html
	dh_sphinxdoc
endif

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/mistral-lib/mistral-lib-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-mistral-lib 2.5.0

=== debian/changelog ===
python-mistral-lib (2.5.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Sep 2021 15:13:13 -0400

python-mistral-lib (2.4.0-0ubuntu1) impish; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 09:37:25 -0400

python-mistral-lib (2.3.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 11 Sep 2020 15:34:31 -0400

python-mistral-lib (2.2.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 24 Jul 2020 12:22:36 +0000

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,35 @@
 Source: python-mistral-lib
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 11),
+ debhelper-compat (= 9),
  dh-python,
  openstack-pkg-tools (>= 99~),
  python3-all,
- python3-pbr,
+ python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
- python3-eventlet,
- python3-openstackdocstheme,
- python3-oslo.log,
- python3-oslo.serialization,
- python3-oslotest,
- python3-stestr,
- python3-testtools,
- python3-pygments,
- python3-yaql,
+ python3-eventlet (>= 0.20.0),
+ python3-openstackdocstheme (>= 2.2.1),
+ python3-oslo.log (>= 3.45.0-0ubuntu2~),
+ python3-oslo.serialization (>= 2.21.1),
+ python3-oslotest (>= 1:3.2.0),
+ python3-sphinxcontrib-pecanwsme (>= 0.8.0),
+ python3-sphinxcontrib.httpdomain (>= 1.3.0),
+ python3-stestr (>= 2.0.0),
+ python3-testtools (>= 2.2.0),
+ python3-yaql (>= 1.1.3),
  subunit,
 Standards-Version: 4.4.1
-Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-mistral-lib
-Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-mistral-lib.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-mistral-lib
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-mistral-lib
 Homepage: http://docs.openstack.org/developer/mistral/
+Testsuite: autopkgtest-pkg-python
 
 Package: python-mistral-lib-doc
 Section: doc
@@ -48,11 +51,11 @@
 Package: python3-mistral-lib
 Architecture: all
 Depends:
- python3-eventlet,
- python3-oslo.log,
- python3-oslo.serialization,
- python3-pbr,
- python3-yaql,
+ python3-eventlet (>= 0.20.0),
+ python3-oslo.log (>= 3.45.0-0ubuntu2~),
+ python3-oslo.serialization (>= 2.21.1),
+ python3-pbr (>= 2.0.0),
+ python3-yaql (>= 1.1.3),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

## python-mistral-lib 2.7.0

=== debian/changelog ===
python-mistral-lib (2.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 09:46:36 +0200

python-mistral-lib (2.7.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Aug 2022 08:47:59 +0200

python-mistral-lib (2.6.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Mar 2022 13:43:41 +0100

python-mistral-lib (2.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Feb 2022 13:50:58 +0100

python-mistral-lib (2.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 10:34:57 +0200

python-mistral-lib (2.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Aug 2021 16:49:49 +0200

python-mistral-lib (2.4.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 09:05:25 +0200

python-mistral-lib (2.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Mar 2021 10:23:55 +0100

## python-mistral-lib 2.8.0

=== debian/changelog ===
python-mistral-lib (2.8.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 10:46:54 +0200

python-mistral-lib (2.8.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 12:27:05 +0100

## python-mistral-lib 2.9.0

=== debian/changelog ===
python-mistral-lib (2.9.0-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 12 Sep 2023 15:19:57 +0000

python-mistral-lib (2.9.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 11 Sep 2023 15:51:27 -0400

python-mistral-lib (2.8.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2023 13:54:37 -0500

python-mistral-lib (2.7.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Sep 2022 18:09:56 -0400

python-mistral-lib (2.6.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Switch to debhelper compat 13.
  * d/control: Update standards version to 4.6.1.
  * d/rules: Switch to pybuild.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 May 2022 14:47:12 -0400

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 9),
+ debhelper-compat (= 13),
  dh-python,
- openstack-pkg-tools (>= 99~),
+ openstack-pkg-tools,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
@@ -25,8 +25,7 @@
  python3-testtools (>= 2.2.0),
  python3-yaql (>= 1.1.3),
  subunit,
-Standards-Version: 4.4.1
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-mistral-lib
+Standards-Version: 4.6.1
 Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-mistral-lib
 Homepage: http://docs.openstack.org/developer/mistral/
 Testsuite: autopkgtest-pkg-python

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	rm -rf build

## python-mistral-lib 2.10.0

=== debian/changelog ===
python-mistral-lib (2.10.0-0ubuntu1~cloud0) jammy-caracal; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 08 Mar 2024 16:36:47 +0000

python-mistral-lib (2.10.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream point release for OpenStack Caracal.

 -- James Page <james.page@canonical.com>  Fri, 08 Mar 2024 14:46:56 +0000

## python-mistral-lib 3.0.0

=== debian/changelog ===
python-mistral-lib (3.0.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090534).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 09:56:54 +0100

python-mistral-lib (3.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 17:07:20 +0200

python-mistral-lib (3.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Aug 2024 11:11:23 +0200

python-mistral-lib (2.10.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Apr 2024 23:00:09 +0200

python-mistral-lib (2.10.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Mar 2024 23:10:39 +0100

python-mistral-lib (2.9.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 21:53:01 +0200

python-mistral-lib (2.9.0-1) experimental; urgency=medium

  * New upstream release.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 Sep 2023 17:18:34 +0200

## python-mistral-lib 3.3.1

=== debian/changelog ===
python-mistral-lib (3.3.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 08:46:15 +0100

python-mistral-lib (3.3.1-1) experimental; urgency=medium

  * New upstream release.
  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Wed, 26 Feb 2025 13:22:36 +0100

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/mistral-lib refs/tags/(\d[brc\d\.]+)

## python-mistral-lib 3.4.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

oslo.log>=3.36.0 # Apache-2.0
pbr!=2.1.0,>=2.0.0 # Apache-2.0
oslo.serialization>=2.21.1 # Apache-2.0
yaql>=1.1.3 # Apache 2.0 License

=== debian/changelog ===
python-mistral-lib (3.4.0-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * d/watch: Add Flamingo signing key verification.
  * d/upstream/signing-key.asc: Add Flamingo public signing key.
  * d/watch: Track Flamingo series release.
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/p/remove-privacy-branch.patch: Drop, applied upstream."
  * d/s/options: Ignore .launchpad.yaml when generating diffs.
  * d/control: Align (Build-)Depends with upstream.

 -- Myles Penner <myles.penner@canonical.com>  Fri, 18 Jul 2025 13:58:11 -0700

python-mistral-lib (3.3.1-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Thu, 27 Feb 2025 12:46:22 +0000

python-mistral-lib (3.0.0-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Wed, 25 Sep 2024 09:55:47 +0100

=== debian/control ===
--- 
+++ 
@@ -51,7 +51,7 @@
 Architecture: all
 Depends:
  python3-eventlet (>= 0.20.0),
- python3-oslo.log (>= 3.45.0-0ubuntu2~),
+ python3-oslo.log (>= 3.36.0),
  python3-oslo.serialization (>= 2.21.1),
  python3-pbr (>= 2.0.0),
  python3-yaql (>= 1.1.3),

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
http://tarballs.opendev.org/openstack/mistral-lib/ mistral_lib-(\d.*)\.tar\.gz

## python-mistral-lib 3.5.0

=== debian/changelog ===
python-mistral-lib (3.5.0-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * d/watch: update for new upstream
  * d/u/signing-key.asc: update for gazpacho
  * New upstream version 3.5.0
  * New upstream release for OpenStack Gazpacho. (LP: #2138121)

 -- Myles Penner <myles.penner@canonical.com>  Tue, 20 Jan 2026 18:30:29 -0800

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
http://tarballs.opendev.org/openstack/mistral-lib/ mistral_lib-(\d.*)\.tar\.gz

## python-mistral-lib 3.5.1

=== debian/changelog ===
python-mistral-lib (3.5.1-1) experimental; urgency=medium

  * New upstream release.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Feb 2026 14:30:30 +0100

python-mistral-lib (3.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 18:21:43 +0200

python-mistral-lib (3.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Rebased remove-privacy-branch.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Aug 2025 13:03:25 +0200

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build
+	rm -rf build *.egg-info .pybuild
 	find . -iname '*.pyc' -delete
 	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
